package com.leanwo.activiti.dto.base;

import java.util.List;


/**
 * 待办任务参数.
 *
 * @author shenchong 2020-09-07 16:51:27
 */
public class WorkrecordDto {

    /**
     * 待办事项对应的用户id.
     */
	private String userId;
	
	/**
	 * 待办时间。Unix时间戳，毫秒级.
	 */
	private Long createTime;
	
	/**
	 * 待办事项的标题，最多50个字符.
	 */
	private String title;
	
	/**
	 * 待办事项的跳转链接(手机端).
	 */
	private String url;

	/**
	 * 待办事项的跳转链接(电脑端).
	 */
	private String pcUrl;
	
	/**
	 *  表单信息.
	 */
	private List<DocumentFormItem> parentForm;
	
	/**
	 * 流程Id.
	 */
	private String taskId; 
	
	/**
	 * 流程实例ID.
	 */
	private String processInstanceId;
	
	/**
	 * 窗口编号.
	 */
	private String windowNo;
	
	/**
	 * RECORD_ID.
	 */
	private String recordId;

	/**
	 * Gets the 待办事项对应的用户id.
	 *
	 * @return the 待办事项对应的用户id
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * Sets the 待办事项对应的用户id.
	 *
	 * @param userId the new 待办事项对应的用户id
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
	 * Gets the 待办时间。Unix时间戳，毫秒级.
	 *
	 * @return the 待办时间。Unix时间戳，毫秒级
	 */
	public Long getCreateTime() {
		return createTime;
	}

	/**
	 * Sets the 待办时间。Unix时间戳，毫秒级.
	 *
	 * @param createTime the new 待办时间。Unix时间戳，毫秒级
	 */
	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}

	/**
	 * Gets the 待办事项的标题，最多50个字符.
	 *
	 * @return the 待办事项的标题，最多50个字符
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Sets the 待办事项的标题，最多50个字符.
	 *
	 * @param title the new 待办事项的标题，最多50个字符
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Gets the 待办事项的跳转链接(手机端).
	 *
	 * @return the 待办事项的跳转链接(手机端)
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * Sets the 待办事项的跳转链接(手机端).
	 *
	 * @param url the new 待办事项的跳转链接(手机端)
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * Gets the 待办事项的跳转链接(电脑端).
	 *
	 * @return the 待办事项的跳转链接(电脑端)
	 */
	public String getPcUrl() {
		return pcUrl;
	}

	/**
	 * Sets the 待办事项的跳转链接(电脑端).
	 *
	 * @param pcUrl the new 待办事项的跳转链接(电脑端)
	 */
	public void setPcUrl(String pcUrl) {
		this.pcUrl = pcUrl;
	}

	/**
	 * Gets the 流程Id.
	 *
	 * @return the 流程Id
	 */
	public String getTaskId() {
		return taskId;
	}

	/**
	 * Sets the 流程Id.
	 *
	 * @param taskId the new 流程Id
	 */
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	/**
	 * Gets the 流程实例ID.
	 *
	 * @return the 流程实例ID
	 */
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	/**
	 * Sets the 流程实例ID.
	 *
	 * @param processInstanceId the new 流程实例ID
	 */
	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	/**
	 * Gets the 表单信息.
	 *
	 * @return the 表单信息
	 */
	public List<DocumentFormItem> getParentForm() {
		return parentForm;
	}

	/**
	 * Sets the 表单信息.
	 *
	 * @param parentForm the new 表单信息
	 */
	public void setParentForm(List<DocumentFormItem> parentForm) {
		this.parentForm = parentForm;
	}

	/**
	 * Gets the 窗口编号.
	 *
	 * @return the 窗口编号
	 */
	public String getWindowNo() {
		return windowNo;
	}

	/**
	 * Sets the 窗口编号.
	 *
	 * @param windowNo the new 窗口编号
	 */
	public void setWindowNo(String windowNo) {
		this.windowNo = windowNo;
	}

	/**
	 * Gets the rECORD_ID.
	 *
	 * @return the rECORD_ID
	 */
	public String getRecordId() {
		return recordId;
	}

	/**
	 * Sets the rECORD_ID.
	 *
	 * @param recordId the new rECORD_ID
	 */
	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}
}
